Loading...
Searching...
No Matches
rostlab::blast::parser::token Struct Reference

Token kinds. More...

`#include <blast-parser-parser.h>`

## Public Types

enum

token_kind_type {
YYEMPTY = -2 , END = 0 , YYerror = 256 , YYUNDEF = 257 ,
BLAST_VERSION = 258 , REFERENCE = 259 , STRING = 260 , INT = 261 ,
DBL = 262 , SEARCHING = 263 , NOHITS = 264 , ONELINE_DESC_HEADER = 265 ,
SEQ_FOUND_AGAIN = 266 , SEQ_FOUND_NEW = 267 , CONVERGED = 268 , TAIL = 269 ,
QUERYEQ = 270 , DATABASECOLON = 271 , RESFROMROUND = 272 , SCOREEQ = 273 ,
EXPECTEQ = 274 , METHODCOLON = 275 , IDENTITIESEQ = 276 , POSITIVESEQ = 277 ,
GAPSEQ = 278 , STRANDEQ = 279 , FRAMEEQ = 280 , QUERYCOLON = 281 ,
SBJCTCOLON = 282
}

typedef token_kind_type | yytokentype
| Backward compatibility alias (Bison 3.6).

## Detailed Description

Token kinds.

Definition at line 243 of file blast-parser-parser.h.

## Member Typedef Documentation

## yytokentype

typedef token_kind_type rostlab::blast::parser::token::yytokentype

Backward compatibility alias (Bison 3.6).

Definition at line 278 of file blast-parser-parser.h.

## Member Enumeration Documentation

## token_kind_type

enum rostlab::blast::parser::token::token_kind_type

Enumerator
YYEMPTY |
END |
YYerror |
YYUNDEF |
BLAST_VERSION |
REFERENCE |
STRING |
INT |
DBL |
SEARCHING |
NOHITS |
ONELINE_DESC_HEADER |
SEQ_FOUND_AGAIN |
SEQ_FOUND_NEW |
CONVERGED |
TAIL |
QUERYEQ |
DATABASECOLON |
RESFROMROUND |
SCOREEQ |
EXPECTEQ |
METHODCOLON |
IDENTITIESEQ |
POSITIVESEQ |
GAPSEQ |
STRANDEQ |
FRAMEEQ |
QUERYCOLON |
SBJCTCOLON |

Definition at line 245 of file blast-parser-parser.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-parser-parser.h